## ceph-kclient-source-0.18.tar.gz

=== Makefile ===
#
# Makefile for CEPH filesystem.
#

ifneq ($(KERNELRELEASE),)

obj-$(CONFIG_CEPH_FS) += ceph.o

ceph-objs := super.o inode.o dir.o file.o addr.o ioctl.o \
	export.o caps.o snap.o xattr.o \
	messenger.o msgpool.o buffer.o \
	mds_client.o mdsmap.o \
	mon_client.o \
	osd_client.o osdmap.o crush/crush.o crush/mapper.o crush/hash.o \
	debugfs.o \
	auth.o auth_none.o \
	ceph_fs.o ceph_strings.o ceph_hash.o ceph_frag.o

else
#Otherwise we were called directly from the command
# line; invoke the kernel build system.

KERNELDIR ?= /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)

default: all

all:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) CONFIG_CEPH_FS=m modules

modules_install:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) CONFIG_CEPH_FS=m modules_install

clean:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) clean

endif

=== debian/control ===
Source: ceph-kclient
Section: admin
Priority: optional
Maintainer: Sage Weil <sage@newdream.net>
Standards-Version: 3.7.2
Architecture: all

Package: ceph-kclient-source
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, make
Description: source for client kernel module for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is the
 Ceph client source package for building the client kernel module.
 .
 This native kernel client is faster and is more robust than the 
 FUSE-based client (ceph-fuse).  However, you need to compile the
 module against your running kernel and will need root privileges
 to load it.
